Filewatcher File Search File Search
Content Search
» » » » »


platform for handling a wide class of economic models

Dynare is a software platform for handling a wide class of economic models, in particular dynamic stochastic general equilibrium (DSGE) and overlapping generations (OLG) models. The models solved by Dynare include those relying on the rational expectations hypothesis, wherein agents form their expectations about the future in a way consistent with the model. But Dynare is also able to handle models where expectations are formed differently: on one extreme, models where agents perfectly anticipate the future; on the other extreme, models where agents have limited rationality or imperfect knowledge of the state of the economy and, hence, form their expectations through a learning process. In terms of types of agents, models solved by Dynare can incorporate consumers, productive firms, governments, monetary authorities, investors and financial intermediaries. Some degree of heterogeneity can be achieved by including several distinct classes of agents in each of the aforementioned agent categories.

Dynare offers a user-friendly and intuitive way of describing these models. It is able to perform simulations of the model given a calibration of the model parameters and is also able to estimate these parameters given a dataset. In practice, the user will write a text file containing the list of model variables, the dynamic equations linking these variables together, the computing tasks to be performed and the desired graphical or numerical outputs.

This package provides a full installation of Dynare, to be run on top of GNU Octave.

It contains: * the binary preprocessor * dynamic loadable libraries for faster computation, compiled for Octave * the standalone program Dynare++ for higher-order approximations

Package version:4.3.0-2


Dynare for Debian

This package provides a fully functional installation of Dynare for GNU Octave.

If your model file is called 'filename.mod', just type the following at the
Octave prompt:

  dynare filename

Note that you don't need to do any 'addpath', the Debian package does it for

Documentation and examples

Please install the 'dynare-doc' 


dynare++(1)                   Dynare++                   dynare++(1)

       dynare++ - compute higher order approximations of DSGE models

       Dynare++  is  used  to compute higher order approximations of
       Dynamic Stochastic General Equilibrium models.

       For a full documentation,  including  the  list  of  options,
       please  refer  to the documentation in /u


dynare (4.3.0-2) unstable; urgency=low

  * debian/rules: fix crash when only compiling arch-dependent packages

 -- S├ębastien Villemot <>  Mon, 18 Jun 2012 20:59:56 +0000

dynare (4.3.0-1) unstable; urgency=low

  * Imported Upstream version 4.3.0
  * Add libmatio-dev and libgsl0-dev to Build-Depends
  * debian/rules: overrides for wrong perms and MacOS folder in upstrea


Upstream-Name: Dynare

Browse inside dynare_4.3.0-2_armel.deb

         [DIR]DEBIAN/ (2)  65535+ mirrors
         [DIR]usr/ (3)  65535+ mirrors

Download dynare_4.3.0-2_armel.deb

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2016